# HelloWorldApp class

## Constructors

HelloWorldApp()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
key → Key
  Controls how one widget replaces another widget in the tree. [...]
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

build(BuildContext context) → Widget
  Describes the part of the user interface represented by this widget. [...]
createElement() → StatelessElement
  Creates a `StatelessElement` to manage this widget's location in the tree. [...]
  inherited
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of `DiagnosticsNode` objects describing this node's children. [...]
  @protected, inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  @pragma("vm:entry-point"), inherited
toDiagnosticsNode({String name, DiagnosticsTreeStyle style }) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by toStringDeep. [...]
  inherited
toString({DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a string representation of this object.
  inherited
toStringDeep({String prefixLineOne: '', String prefixOtherLines, DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a string representation of this node and its descendants. [...]
  inherited
toStringShallow({String joiner: ', ', DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a one-line detailed description of the object. [...]
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

NAME → const String
  `'hello_world'`